Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

### 10.10.1: Embedding synonyms in quoted text strings

Outside math strings, you can embed your synonyms at will. For example, you can include the name of a data file in the title of your plot as follows

    query \filename "File to read from?" ("data.file")
    open \filename
    read columns x y
    draw curve
    draw title "data from \filename"

Within math strings (ie, between matched dollar-signs), these synonyms are disabled, and only the mathematical symbols and Greek letters work.